package com.persagy.dc.dic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dc.common.lang.PsDateTime;
import com.persagy.dc.common.model.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.persagy.common.utils.IdGenerator;

/**
 * 字典类型
 * @author linhuili
 * @since 2021/06/10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("dic_dt_type")
public class DictType {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 集团编码
     */
    @TableId(value = "group_code")
    private String groupCode;

    /**
     * 字典类型
     */
    @TableId(value = "type")
    private String type;

    /**
     * 字典类型名称
     */
    @TableId(value = "name")
    private String name;

    /**
     * 描述
     */
    @TableId(value = "description")
    private String description;

    /**
     * 状态 0：停用，1：正常
     */
    @TableId(value = "status")
    private String status;

    /**
     *  创建时间
     */
    @TableId(value = "create_time")
    private PsDateTime createTime;

    /**
     *  创建用户
     */
    @TableId(value = "create_user")
    private String createUser;

    /**
     *  更新时间
     */
    @TableId(value = "update_time")
    private PsDateTime updateTime;

    /**
     *  更新用户
     */
    @TableId(value = "update_user")
    private String updateUser;

    /**
     *  备注
     */
    @TableId(value = "remark")
    private String remark;
}
